[SCM] Debian Live initramfs hook branch, master, updated. 1.157.1-1-2-g8fe8d74

Daniel Baumann daniel at debian.org
Thu Mar 26 13:18:41 UTC 2009


The following commit has been merged in the master branch:
commit 8fe8d74fe7703a284fc0a860166bbc75c790ffeb
Author: Daniel Baumann <daniel at debian.org>
Date:   Thu Mar 26 14:11:56 2009 +0100

    Correcting kdm live-autologin handling to not always append entries forever when using persistency.

diff --git a/scripts/live-bottom/14locales b/scripts/live-bottom/14locales
index 6348338..58f7e82 100755
--- a/scripts/live-bottom/14locales
+++ b/scripts/live-bottom/14locales
@@ -104,7 +104,10 @@ then
 
 	if [ -d /root/etc/default/kdm.d/ ]
 	then
-		printf 'LANGUAGE=%s\n' "${LANG}" >> /root/etc/default/kdm.d/live-autologin
+		if ! grep -qs "^LANGUAGE" "${LANG}"
+		then
+			printf 'LANGUAGE=%s\n' "${LANG}" >> /root/etc/default/kdm.d/live-autologin
+		fi
 	elif [ -f /root/etc/kde3/kdm/kdmrc ]
 	then
 		sed -i -r -e "s/#Language=.*/Language=${language}/" \
diff --git a/scripts/live-bottom/15autologin b/scripts/live-bottom/15autologin
index 7fb2b13..38c3a8f 100755
--- a/scripts/live-bottom/15autologin
+++ b/scripts/live-bottom/15autologin
@@ -59,6 +59,8 @@ fi
 
 if [ -d /root/etc/default/kdm.d/ ]
 then
+	if ! grep -qs "^AUTOLOGIN" /root/etc/default/kdm.d/live-autologin
+	then
 
 cat >> /root/etc/default/kdm.d/live-autologin << EOF
 AUTOLOGINUSER=${USERNAME}
@@ -66,6 +68,8 @@ AUTOLOGINAGAIN=true
 AUTOLOGINDELAY=0
 EOF
 
+	fi
+
 elif [ -f /root/etc/kde3/kdm/kdmrc ]
 then
 	# Configure KDM autologin

-- 
Debian Live initramfs hook



More information about the debian-live-changes mailing list